%global realname epgsql
%global debug_package %{nil}
%global commit 9f52f198c15a7f5d364c3dd8413030e9d02e4e80
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary:        Erlang PostgreSQL Database Client
Name:           erlang-%{realname}
Version:        3.1.0
Release:        2%{?dist}
Group:          Development/Libraries
License:        BSD
URL:            https://github.com/epgsql/epgsql
Source0:        https://github.com/epgsql/epgsql/archive/%{commit}/%{realname}-%{commit}.tar.gz
BuildRequires:  erlang
BuildRequires:  erlang-rebar
Requires:       erlang

%description
Library that gives possibility to Erlang programs to connect PostgreSQL
databases by plain TCP and execute simple SQL statements.


%prep
%setup -qn %{realname}-%{commit}


%build
make %{?_smp_mflags} VERSION="%{version}"


%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include}
install -m 644 include/* $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/include/
install -m 644 ebin/* $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/


%files
%{_libdir}/erlang/lib/%{realname}-%{version}/
%doc LICENSE


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 26 2015 Filip Andres <filip@andresovi.net> - 3.1.0-1
- Update to the version 3.1.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 10 2014 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.4-2
- No need to use git shapshot tag when we're using the released version
- Clean the SPEC file a bit for more modern RPM

* Fri Aug 03 2012 Filip Andres <filip.andres@gooddata.com> - 1.4-1.20120313git3318bd5d64.gdc1
- Initial spec file
- Removing git version info from Makefile
